# Uses of Enum Class
java.util.concurrent.Future.State

Packages that use Future.State
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of Future.State in java.util.concurrent

Methods in java.util.concurrent that return Future.State
Modifier and Type
Method
Description
`default Future.State`
Future.`state()`
Returns the computation state.
`static Future.State`
Future.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Future.State[]`
Future.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.